package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 设备类型  (pdj.排队机，ckp.窗口屏，hjq.呼叫器，jzxsp.集中显示屏，dsj.导视机，pjq.评级器，zzfwzd.自助服务终端，tdj.填单机，ybj.样表机)枚举类
*
* @author zxfei
*/
public enum DeviceTypeEnum {
    排队机("pdj", "排队机"),
    窗口屏("ckp", "窗口屏"),
    呼叫器("hjq", "呼叫器"),
    集中显示屏("jzxsp", "集中显示屏"),
    导视机("dsj", "导视机"),
    评级器("pjq", "评级器"),
    自助服务终端("zzfwzd", "自助服务终端"),
    填单机("tdj", "填单机"),
    样表机("ybj", "样表机");
    private String value;
    private String desc;

    DeviceTypeEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static DeviceTypeEnum getByValue(String value) {
        for (DeviceTypeEnum deviceTypeEnum : DeviceTypeEnum.values()) {
            if (deviceTypeEnum.getValue() == value) {
                return deviceTypeEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (DeviceTypeEnum item : DeviceTypeEnum.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}